# Class AdasException

Namespace
  adas_core.Domain.Exceptions

Assembly
  adas-core.Domain.dll

Represents an exception that is thrown when an error occurs within the ADAS (Advanced Driver Assistance Systems) module, providing a prefixed message for easier identification.

    public class AdasException : Exception, ISerializable

Inheritance
  object
  Exception
  AdasException

Implements
  ISerializable

Inherited Members
  Exception.GetBaseException()
  Exception.GetType()
  Exception.ToString()
  Exception.Data
  Exception.HelpLink
  Exception.HResult
  Exception.InnerException
  Exception.Message
  Exception.Source
  Exception.StackTrace
  Exception.TargetSite
  Exception.SerializeObjectState
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### AdasException(string)

Represents an exception that is thrown when an error occurs within the ADAS (Advanced Driver Assistance Systems) module, providing a prefixed message for easier identification.

    public AdasException(string message)

#### Parameters

`message` string